PAdES eSeal Signing

Endpoint

Legacy

New

Invoke the SOAP Service

https://stg-orchsign.uaepass.ae/wsarrow-up-right

Headers

Name
Type
Description

TwsAuthN

string

urn:safelayer:tws:policies:authentication:oauth:clients

SOAPAction

string

Sign

Content-Type

string

text/xml

<?xml version="1.0" encoding="UTF-8"?>
<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<soapenv:Header>
	 <wsse:Security soapenv:actor="http://schemas.xmlsoap.org/soap/actor/next" soapenv:mustUnderstand="1" xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"> 
			<wsse:UsernameToken>
				<wsse:Username>{your client_id}</wsse:Username>
				<wsse:Password Type="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#PasswordText">{your client_secret}</wsse:Password>
			</wsse:UsernameToken>
		</wsse:Security>
	</soapenv:Header>
	<soapenv:Body>
		<SignRequest xmlns="http://www.docs.oasis-open.org/dss/2004/06/oasis-dss-1.0-core-schema-wd-27.xsd" Profile="urn:safelayer:tws:dss:1.0:profiles:pades:1.0:sign" RequestID="b22c97c6117fc3386f81">
			<OptionalInputs>
				<KeySelector>
					<ns1:KeySelector xmlns:ns1="http://www.safelayer.com/TWS">
						<ns1:Name Format="urn:oasis:names:tc:SAML:1.1:nameid-format:X509SubjectName">{CN values}</ns1:Name>
						<ns1:KeyUsage>nonRepudiation</ns1:KeyUsage>
					</ns1:KeySelector>
				</KeySelector>
				<Properties>
					<SignedProperties>
						<Property>
							<Identifier>urn:safelayer:tws:dss:1.0:property:pdfattributes</Identifier>
							<Value>
								<css:PdfSignatureInfo xmlns:css="http://www.safelayer.com/TWS">
									<css:PdfAttributes>
										<css:validationMethod>PPKMS</css:validationMethod>
										<css:signaturePosition>LAST</css:signaturePosition>
										<css:params>
											<css:reason>Author</css:reason>
										</css:params>
									</css:PdfAttributes>
									<css:Appearance>
										<css:Rect x0="50" x1="340" y0="50" y1="450"/>
										<css:Background>
											<css:image encodeType="base64">
												<css:data>{your_backgroundimage}</css:data>
												<css:imageSize height="100" width="200"/>
												<css:position x="55" y="300"/>
											</css:image>
										</css:Background>
										<css:Foreground>
											<css:image encodeType="base64">
												<css:data>{your_foregroundimage}</css:data>
												<css:imageSize height="1" width="1"/>
												<css:position x="12" y="12"/>
											</css:image>
											<css:text>
												<css:properties color="0 0 0" fontSize="10"/>
										<css:position x="12" y="12"/>
												<css:SignatureInfos>
													<css:signatureInfo id="Subject" title=" "/>
													<css:signatureInfo id="Date" properties="timezone.local" title=" "/>
												</css:SignatureInfos>
											</css:text>
										</css:Foreground>
									</css:Appearance>
								</css:PdfSignatureInfo>
							</Value>
						</Property>
					</SignedProperties>
				</Properties>
			</OptionalInputs>
			<InputDocuments>
				<Document>
					<Base64Data MimeType="application/pdf">{base64 format of document}</Base64Data>
				</Document>
			</InputDocuments>
		</SignRequest>
	</soapenv:Body>
</soapenv:Envelope>
            

Request Parameter

Name
Description
Required

Username

client_id of the SP. To be shared by the respective onboarding team.

Mandatory

PasswordText

Client_secret of the SP. To be shared by the respective onboarding team.

Mandatory

RequestID

SP can pass the unique ID for tracking the request for one particular transaction

Optional

Name

DN values as agreed with ICA and UAEPASS operations team

Optional: if SP is having only one certificate

Mandatory: if SP is having multiple certificates

Base64Data

Base64 encoded data of the document which is to be esealed

Mandatory

KeyUsage

KeyUsage value as specified in Certificate eg: nonRepudiation and digitalSignature

Mandatory

Sample Request/Response (with sample data):

The integration team can try below request in any SOAP service testing tool (e.g. SOAPUI, PostMan etc.) by replacing the username password as provided by UAEPASS onboarding team.

POST https://stg-orchsign.uaepass.ae/wsarrow-up-right

Headers

Name
Type
Description

TwsAuthN

string

urn:safelayer:tws:policies:authentication:oauth:clients

SOAPAction

string

Sign

Content-Type

string

text/xml

Request Sample

Response Sample

Last updated

Was this helpful?